package models

import (
	"go-admin/common/models"
)

type OtAlertPolicy struct {
	models.Model

	AppId        int64  `json:"appId" gorm:"type:bigint(11);comment:业务ID"`
	RuleId       int64  `json:"ruleId" gorm:"type:bigint(20);comment:监控规则ID"`
	MonitorAlias string `json:"monitorAlias" gorm:"type:varchar(64);comment:监控项别名"`
	Policy       string `json:"policy" gorm:"type:varchar(256);comment:告警策略"`
	Power        int64  `json:"power" gorm:"type:tinyint(1);comment:是否启用"`
	models.ModelTime
	models.ControlBy
}

func (OtAlertPolicy) TableName() string {
	return "ot_alert_policy"
}

func (e *OtAlertPolicy) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtAlertPolicy) GetId() interface{} {
	return e.Id
}
