package models

import (
	"go-admin/common/models"
)

type OtApps struct {
	models.Model

	Name          string `json:"name" gorm:"type:varchar(64);comment:业务名"`
	Alias         string `json:"alias" gorm:"type:varchar(64);comment:业务别名"`
	Desc          string `json:"desc" gorm:"type:varchar(256);comment:业务描述"`
	ImgUrl        string `json:"imgUrl" gorm:"type:varchar(512);comment:业务图片"`
	ContractInfo  string `json:"contractInfo" gorm:"type:varchar(32);comment:管理信息"`
	ContractPhone string `json:"contractPhone" gorm:"type:varchar(16);comment:管理员手机号"`
	models.ModelTime
	models.ControlBy
}

func (OtApps) TableName() string {
	return "ot_apps"
}

func (e *OtApps) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtApps) GetId() interface{} {
	return e.Id
}
