package models

import (
	"time"

	"go-admin/common/models"
)

type OtFireEvents struct {
	models.Model

	AppId         int64     `json:"appId" gorm:"type:bigint(11);comment:业务ID"`
	RuleId        int64     `json:"ruleId" gorm:"type:bigint(11);comment:RuleId"`
	ExceptionName string    `json:"exceptionName" gorm:"type:varchar(256);comment:告警名称/信息"`
	RecordTime    time.Time `json:"recordTime" gorm:"type:datetime;comment:RecordTime"`
	AppendTime    time.Time `json:"appendTime" gorm:"type:datetime;comment:AppendTime"`
	Uid           string    `json:"uid" gorm:"type:varchar(32);comment:Uid"`
	AppName       string    `json:"appName" gorm:"type:varchar(32);comment:AppName"`
	AppAlias      string    `json:"appAlias" gorm:"type:varchar(32);comment:AppAlias"`
	RuleInfo      string    `json:"ruleInfo" gorm:"type:varchar(256);comment:RuleInfo"`
	RowResult     string    `json:"rowResult" gorm:"type:varchar(32);comment:RowResult"`
	RowsResult    string    `json:"rowsResult" gorm:"type:tinytext;comment:RowsResult"`
	AlertStatus   int64     `json:"alertStatus" gorm:"type:tinyint(1);comment:AlertStatus"`
	IsKnow        int64     `json:"isKnow" gorm:"type:tinyint(1);comment:已知悉"`
	IsResolve     int64     `json:"isResolve" gorm:"type:tinyint(1);comment:已解决"`
	IsIgnore      int64     `json:"isIgnore" gorm:"type:tinyint(1);comment:已忽略"`
	models.ModelTime
	models.ControlBy
}

func (OtFireEvents) TableName() string {
	return "ot_fire_events"
}

func (e *OtFireEvents) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtFireEvents) GetId() interface{} {
	return e.Id
}
