package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOtAlertPolicyRouter)
	// routerNoCheckRole = append(routerNoCheckRole, registerOtAlertPolicyRouterNocheck)
}

// registerOtAlertPolicyRouter
func registerOtAlertPolicyRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.OtAlertPolicy{}
	r := v1.Group("/alert-policy").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
		r.POST("/import", api.SetPolicy)
	}
}

// func registerOtAlertPolicyRouterNocheck(v1 *gin.RouterGroup) {
// 	api := apis.OtAlertPolicy{}
// 	r := v1.Group("/test/alert-policy")
// 	{
// 		r.GET("", api.GetPage)
// 		r.GET("/:id", api.Get)
// 		r.POST("", api.Insert)
// 		r.PUT("/:id", api.Update)
// 		r.DELETE("", api.Delete)
// 		r.POST("/import", api.SetPolicy)
// 	}
// }
