package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOtAppsRouter)
	// routerNoCheckRole = append(routerNoCheckRole, registerOtAppsRouterTest)
}

// registerOtAppsRouter
func registerOtAppsRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.OtApps{}
	r := v1.Group("/ot-apps").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/service/list", api.GetServiceList)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
		r.POST("/:id/dashboard/add", api.AddDashboard)
	}
}

// registerOtAppsRouter
// func registerOtAppsRouterTest(v1 *gin.RouterGroup) {
// 	api := apis.OtApps{}
// 	r := v1.Group("/ot-apps/test")
// 	{
// 		r.GET("", api.GetPage)
// 		r.GET("/:id", api.Get)
// 		r.POST("", api.Insert)
// 		r.PUT("/:id", api.Update)
// 		r.DELETE("", api.Delete)
// 		r.POST("/:id/dashboard/add", api.AddDashboard)
// 	}
// }
