package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOtPluginsRouter)
	// routerNoCheckRole = append(routerNoCheckRole, registerOtPluginsRouterTest)
}

// registerOtPluginsRouter
func registerOtPluginsRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.OtPlugins{}
	r := v1.Group("/ot-plugins").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.GET("/withrole", actions.PermissionAction(), api.GetPluginsWithRole)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
	}
}

// func registerOtPluginsRouterTest(v1 *gin.RouterGroup) {
// 	api := apis.OtPlugins{}
// 	r := v1.Group("/ot-plugins/test")
// 	{
// 		r.GET("", api.GetPage)
// 		r.GET("/:id", api.Get)
// 		r.POST("", api.Insert)
// 		r.PUT("/:id", api.Update)
// 		r.DELETE("", api.Delete)
// 	}
// }
