package query

import (
	"go-admin/app/observe/models"
	"strconv"
	"time"
)

type App struct {
	Query
}

func NewApp() App {
	q := Query{}
	q.Init()
	return App{q}
}

func (aq App) Alias2ID(alias string) (int64, error) {
	// rdb := aq.cache
	db := aq.db
	key := "observe__biz_app_alias_id"
	dur, _ := aq.rdb.TTL(key).Result()
	if dur == -1 { // 未相设置过期时间
		aq.rdb.Expire(key, time.Minute)
	}
	appIdStr, err := aq.rdb.HGet(key, alias).Result()
	if err == nil { // 成功获取到
		appId, _ := strconv.Atoi(appIdStr)
		return int64(appId), nil
	}
	appId := int64(0)
	err = db.Model(&models.App{}).Where("alias", alias).Pluck("id", &appId).Error
	if err != nil {
		return 0, err
	}
	// 这里可能存在appid为0的情况，因为可能先接入，后家配置应用的情况
	aq.rdb.HSet(key, alias, appId)
	return appId, nil

	// if err == redis.Nil {
	// 	cnt, _ := aq.rdb.Exists(key).Result()
	// 	if cnt > 0 {
	// 		return 0, nil
	// 	}
	// 	idAlias := []struct {
	// 		Id    int
	// 		Alias string
	// 	}{}
	// 	err := db.Model(&models.App{}).Select("id, alias").Limit(1000).Find(&idAlias).Error
	// 	if err != nil {
	// 		return 0, errors.Wrap(err, "alias不存在")
	// 	}
	// 	vals := map[string]interface{}{} // 这里必须定义为interface，否则hset不进去
	// 	for _, item := range idAlias {
	// 		vals[item.Alias] = item.Id
	// 	}
	// 	aq.rdb.HSet(key, vals)
	// 	aq.rdb.Expire(key, time.Minute)
	// 	if appIdi, ok := vals[alias]; ok {
	// 		appId := appIdi.(int)
	// 		return int64(appId), nil
	// 	}
	// }
	// return 0, nil // 说明库中和缓存中都不存在该数据
}
