package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/observe/apis"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerBigModelRouter)
	// routerNoCheckRole = append(routerNoCheckRole, registerBigModelRouterTest)
}

// registerOtAppsRouter
func registerBigModelRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.BigModel{}
	r := v1.Group("/big-model").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.POST("/analyst", api.AiAnswerMe)
	}
}

// registerOtAppsRouter
// func registerBigModelRouterTest(v1 *gin.RouterGroup) {
// 	api := apis.BigModel{}
// 	r := v1.Group("/big-model/test")
// 	{
// 		r.POST("/analyst", api.AiAnswerMe)
// 	}
// }
