package router

import (
	"go-admin/app/observe/apis"
	"go-admin/common/ws"

	"github.com/gin-gonic/gin"
)

func init() {
	// routerCheckRole = append(routerCheckRole, wsNoCheckRouter)
	routerNoCheckRole = append(routerNoCheckRole, wsNoCheckRouter)
}

func wsNoCheckRouter(v1 *gin.RouterGroup) {
	api := apis.Service{}
	r := v1.Group("/ws")
	{
		r.GET("/runtime/:channel", ws.WebsocketManager.WSClient)
		// r.GET("/topology/services/ws", ws.WebsocketManager.ServiceTopoGraphWSClient) //service topo
		r.GET("/topology/services/ws", api.Topology)                  //service topo
		r.GET("/topology/processes/ws", ws.WebsocketManager.WSClient) //processes topo
		r.GET("/topology/container", ws.WebsocketManager.WSClient)    //container topo
	}
}
