package dto

type AskAiModel struct {
	Content string `form:"content" json:"content"`
}

type BigModelParamsMessage struct {
	Role    string `json:"role"`
	Content string `json:"content"`
}

type BigModelParams struct {
	Model    string                  `json:"model"`
	Messages []BigModelParamsMessage `json:"messages"`
}

type BigModelChoice struct {
	FinishReason string                `json:"finish_reason"`
	Index        int64                 `json:"index"`
	Message      BigModelParamsMessage `json:"message"`
}

type ModelUsage struct {
	CompletionTokens int64 `json:"completion_tokens"`
	PromptTokens     int64 `json:"prompt_tokens"`
	TotalTokens      int64 `json:"total_tokens"`
}

type BigModelResp struct {
	Choices   []BigModelChoice `json:"choices"`
	Created   int64            `json:"created"`
	Id        string           `json:"id"`
	Model     string           `json:"model"`
	RequestId string           `json:"request_id"`
	Usage     ModelUsage       `json:"usage"`
}
