/*
Copyright © 2023 lujiaming

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package consumer

import (
	"go-admin/cmd/consumer/biz"
	"go-admin/cmd/consumer/metrics"
	"go-admin/cmd/consumer/traceurl"

	"github.com/spf13/cobra"
)

var configYml string

// consumer/consumerCmd represents the consumer/consumer command
var StartCmd = &cobra.Command{
	Use:   "consumer",
	Short: "消费者命令",
	Long:  `用于从消息中间件消费数据, 具体消费逻辑需要手动编写子命令`,
	Run: func(cmd *cobra.Command, args []string) {
		// fmt.Println("consumer/consumer called")
		cmd.Help()
	},
}

func init() {
	StartCmd.AddCommand(traceurl.TraceUrlCmd)
	StartCmd.AddCommand(biz.BizCmd)
	StartCmd.AddCommand(metrics.MetricsCmd)

	StartCmd.PersistentFlags().StringVarP(&configYml, "config", "c", "config/settings.yml", "启动命令时指定的配置文件, 默认为config/settings.yml")
}
