package utils

import (
	"fmt"
	"os"

	"github.com/go-sql-driver/mysql"
	"gorm.io/gorm"
)

// 优化sql异常错误的提示, 持续补充
func MysqlErrorHandler(err error) error {
	if errMySQL, ok := err.(*mysql.MySQLError); ok {
		switch errMySQL.Number {
		case 1062:
			return gorm.ErrDuplicatedKey
		default:
			return err
		}
	}
	return err
}

func GetDefaultEnv(k string, d interface{}) string {
	v := os.Getenv(k)
	if v == "" {
		return fmt.Sprintf("%v", d)
	}
	return v
}
